<?xml version='1.0'?>
<xsl:stylesheet version="1.0"
	        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:tb="http://beatniksoftware.com/tomboy"
                xmlns:link="http://beatniksoftware.com/tomboy/link"
                xmlns:size="http://beatniksoftware.com/tomboy/size">

<!-- 
  tomboy-to-html stylesheet
  Fredrik Arnerup <foo@stacken.kth.se>
-->

  <xsl:output method="html"
	      version="1.0"
        encoding="UTF-8" omit-xml-declaration="yes" standalone="yes" 
	      indent="yes"/>
  
  <xsl:variable name="title"><xsl:value-of select="//tb:note/tb:title//text()"/></xsl:variable>

  <xsl:template match="tb:note">
    <html>
      <head>
        <title><xsl:value-of select="$title"/></title>
        <xsl:message><xsl:value-of select="$title"/>.html</xsl:message>
      </head>
      <xsl:apply-templates/>
    </html>
  </xsl:template>

  <xsl:template match="tb:text">
    <body>
      <h1><xsl:value-of select="$title"/></h1>
      <pre>
        <xsl:apply-templates/>
      </pre>
    </body>
  </xsl:template>

  <xsl:template match="link:url">
    <a href="{.//text()}"><xsl:apply-templates/></a>
  </xsl:template>

  <xsl:template match="link:internal">
    <a href="{.//text()}.html"><xsl:apply-templates/></a>
  </xsl:template>

  <xsl:template match="link:broken">
    <a class="broken" href="{.//text()}.html"><xsl:apply-templates/></a>
  </xsl:template>

  <xsl:template match="tb:italic">
    <i><xsl:apply-templates/></i>
  </xsl:template>

  <xsl:template match="tb:bold">
    <b><xsl:apply-templates/></b>
  </xsl:template>

  <xsl:template match="tb:strikethrough">
    <strike><xsl:apply-templates/></strike>
  </xsl:template>

  <xsl:template match="tb:highlight">
    <span class="highlight"><xsl:apply-templates/></span>
  </xsl:template>

  <xsl:template match="size:small">
    <small><xsl:apply-templates/></small>
  </xsl:template>

  <xsl:template match="size:large|size:huge"> <!-- todo: huge -->
    <big><xsl:apply-templates/></big>
  </xsl:template>

  <xsl:template match="tb:text//text()">
    <xsl:copy-of select="."/>
  </xsl:template>

  <xsl:template match="text()">
  </xsl:template>
              
</xsl:stylesheet>
