#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
proof of concept ... build html site with tomboy

thanks to Fredrik Arnerup (for the xslt)

python script by: manatlan(at)gmail(dot)com
"""

from lxml.etree import Element,ElementTree,parse,XSLT
import os
from StringIO import StringIO

def note2html( xmlFile ):
    buffer = open(xmlFile,"r").read()
    
    # change the namespaces which seems to be forgotten in the "tomboy note" (confirm ?)
    buffer = buffer.replace("""<note xmlns="http://beatniksoftware.com/tomboy">""",
    """<note xmlns="http://beatniksoftware.com/tomboy"
            xmlns:link="http://beatniksoftware.com/tomboy/link"
            xmlns:size="http://beatniksoftware.com/tomboy/size">"""
    )
    xml_doc = parse( StringIO(buffer) )
    root = xml_doc.getroot()
    
    #~ fid = open("new.xml","w")
    #~ xml_doc.write(fid,encoding="utf_8")
    #~ fid.close()        
    
    xslt_doc = parse( "tomboy2html.xsl" )
    style = XSLT(xslt_doc)
    
    result = style.apply( xml_doc)
    page = style.tostring(result)        
    page = page.encode("utf_8")

    name = root[0].text.encode("utf_8")
    name = name.replace("/","_")    # only for my notes (which i should rename one day)
    open(name+".html","w").write(page)

if __name__ == "__main__":

    path = os.path.join(os.environ['HOME'],".tomboy")
    
    for i in os.listdir(path):
        if i[-5:]==".note":
            note2html( os.path.join(path,i) )
